OLT
21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| moveToSite | POST | Move OLT to another site |
| getDetail | GET | Get OLT info |
| modifyOltConfig | PATCH | Modify olt config |
| getEthAndPonList | GET | Get pon port and eth port of OLT |
| editLagsConfigList | POST | Batch modify ETH LAG(Link Aggregation Group) config |
| getLagsConfigList | GET | Get ETH LAG(Link Aggregation Group) config list |
| editPortsConfigList | POST | Batch Modify ETH Unit1 port of olt |
| getPortsConfigList | GET | Get ETH Unit1 port list of olt |
| editManagementSystemInterfaces | POST | Modify OLT Management System Interface |
| getManagementSystemInterfaces | GET | Get OLT Management System Interface list |
| getConfig | GET | Get OLT description info |
| editConfig | POST | Modify OLT description info |
| rebootNow | POST | Reboot OLT |
| getOltPortsDDMStatus | POST | Get DDM(Digital Diagnostic Monitoring) status list of OLT port list |
| mspMoveToCustomer_1 | POST | Move OLT to another customer(MSP mode) |
| getEthAndPonListForMsp | GET | Get pon port and eth port of OLT(MSP mode) |
| getOltDetailForMsp | GET | Get OLT info(MSP mode) |
| modifyOltConfigForMsp | PATCH | Modify olt config(MSP mode) |
| getPortsConfigListForMsp | GET | Get ETH Unit1 port list of olt(MSP mode) |
| getConfigForMsp | GET | Get OLT description info(MSP mode) |
| editConfigForMsp | POST | Modify OLT description info(MSP mode) |
moveToSite
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/olts/move
Move OLT to another site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MoveToSiteVO
| Field | Type | Required | Description |
|---|---|---|---|
deviceMacs | array<string> | no | Device macs.If only stacking is migrated, then it is empty. |
stackIds | array<string> | no | The stack to be migrated; all stack members are migrated together during the migration. |
site | string | yes | Target site key |
// omada_call_operation
{
"operationId": "moveToSite",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Move OLT to another site
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33000 - This site does not exist.
-44261 - The device does not support cluster and can only be adopted to its own site.
getDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}
Get OLT info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getDetail",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get OLT info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
modifyOltConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}
Modify olt config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OltConfigModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name,default value is the mac address of device |
tagIds | array<string> | no | Tag ID list |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
// omada_call_operation
{
"operationId": "modifyOltConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify olt config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39093 - The length of the device name exceeds the limit.
-45000 - This OLT does not exist.
getEthAndPonList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/eth-port/and/pon-port/list
Get pon port and eth port of OLT
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getEthAndPonList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get pon port and eth port of OLT
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editLagsConfigList
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/lags/edit
Batch modify ETH LAG(Link Aggregation Group) config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema EthLagPortAppListDTO
| Field | Type | Required | Description |
|---|---|---|---|
dtos | array<EthLagPortAppDTO> | yes |
// omada_call_operation
{
"operationId": "editLagsConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify ETH LAG(Link Aggregation Group) config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45007 - The deviceResponseBody returned by the device has an error code other than 0
getLagsConfigList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/lags/list
Get ETH LAG(Link Aggregation Group) config list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getLagsConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ETH LAG(Link Aggregation Group) config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editPortsConfigList
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/unit1/edit
Batch Modify ETH Unit1 port of olt
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema EthUnit1PortAppListDTO
| Field | Type | Required | Description |
|---|---|---|---|
dtos | array<EthUnit1PortAppDTO> | yes |
// omada_call_operation
{
"operationId": "editPortsConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Batch Modify ETH Unit1 port of olt
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45007 - The deviceResponseBody returned by the device has an error code other than 0
getPortsConfigList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/unit1/list
Get ETH Unit1 port list of olt
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getPortsConfigList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ETH Unit1 port list of olt
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editManagementSystemInterfaces
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/management-system-interface/edit
Modify OLT Management System Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema ManagementSystemInterfaceDTO
| Field | Type | Required | Description |
|---|---|---|---|
systemInterfaces | array<SystemInterfaceDTO> | no | Management System Interfaces. |
// omada_call_operation
{
"operationId": "editManagementSystemInterfaces",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify OLT Management System Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-45014 - Interface ID error.
-45015 - Interface type error.
-45016 - Interface value error.
-45017 - The interface does not exist.
getManagementSystemInterfaces
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/management-system-interface/get
Get OLT Management System Interface list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getManagementSystemInterfaces",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get OLT Management System Interface list.
The interface requires one of the permissions:
Site Device Manager View Only
getConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs
Get OLT description info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get OLT description info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editConfig
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs/edit
Modify OLT description info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SystemInfoAppModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
deviceName | string | no | Device name should contain 1-32 bits numbers, Upper and lower letters, -@_😕. . |
deviceLocation | string | no | Device location should contain 1-32 bits numbers, Upper and lower letters, -@_😕. . |
contactInformation | string | no | Contact information should contain 1-32 bits numbers, Upper and lower letters, -@_😕. . |
// omada_call_operation
{
"operationId": "editConfig",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify OLT description info
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
rebootNow
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/system-tools/reboot/now
Reboot OLT
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "rebootNow",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Reboot OLT
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOltPortsDDMStatus
POST /openapi/v1/{omadacId}/sites/{siteId}/stat/olt/{deviceMac}/ddm/info
Get DDM(Digital Diagnostic Monitoring) status list of OLT port list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema DDMStatusRequestVO
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<string> | no | Port list of device |
// omada_call_operation
{
"operationId": "getOltPortsDDMStatus",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get DDM(Digital Diagnostic Monitoring) status list of OLT port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
mspMoveToCustomer_1
POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/olts/move
Move OLT to another customer(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MoveToCustomerVO
| Field | Type | Required | Description |
|---|---|---|---|
deviceMacs | array<string> | yes | DeviceMacs should contain 1 entry |
customer | string | yes | Target customer ID |
site | string | yes | Target site ID |
// omada_call_operation
{
"operationId": "mspMoveToCustomer_1",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Move OLT to another customer(MSP mode)
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33000 - This site does not exist.
-39050 - This device does not exist.
-39051 - Operation failed. Please try again later.
getEthAndPonListForMsp
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/eth-port/and/pon-port/list
Get pon port and eth port of OLT(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getEthAndPonListForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get pon port and eth port of OLT(MSP mode)
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getOltDetailForMsp
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}
Get OLT info(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getOltDetailForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get OLT info(MSP mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
modifyOltConfigForMsp
PATCH /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}
Modify olt config(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OltConfigModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Device name,default value is the mac address of device |
tagIds | array<string> | no | Tag ID list |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
// omada_call_operation
{
"operationId": "modifyOltConfigForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify olt config(MSP mode)
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39051 - Operation failed. Please try again later.
-39093 - The length of the device name exceeds the limit.
-45000 - This OLT does not exist.
getPortsConfigListForMsp
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/unit1/list
Get ETH Unit1 port list of olt(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getPortsConfigListForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get ETH Unit1 port list of olt(MSP mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getConfigForMsp
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs
Get OLT description info(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getConfigForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get OLT description info(MSP mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editConfigForMsp
POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs/edit
Modify OLT description info(MSP mode)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | mspId (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema SystemInfoAppModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
deviceName | string | no | Device name should contain 1-32 bits numbers, Upper and lower letters, -@_😕. . |
deviceLocation | string | no | Device location should contain 1-32 bits numbers, Upper and lower letters, -@_😕. . |
contactInformation | string | no | Contact information should contain 1-32 bits numbers, Upper and lower letters, -@_😕. . |
// omada_call_operation
{
"operationId": "editConfigForMsp",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify OLT description info(MSP mode)
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.